%global rolename repositories
%global roleprefix oVirt.
%global ansible_roles_dir ansible/roles

Name: ovirt-ansible-repositories
Summary: Ansible role to setup oVirt/RHV repositories
Version: 1.1.2
Release: 1%{?release_suffix}%{?dist}
Source0: http://resources.ovirt.org/pub/src/ovirt-ansible-repositories/ovirt-ansible-repositories-1.1.2.tar.gz
License: ASL 2.0
Group:          Virtualization/Management
BuildArch:      noarch
Url:            http://www.ovirt.org

Requires: ansible >= 2.5

%description
This Ansible role is used to set up the repositories required for
oVirt engine or host installation.

%prep
%setup -c -q

%build

%install
export PKG_DATA_DIR_ORIG=%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}
export PKG_DATA_DIR=%{buildroot}$PKG_DATA_DIR_ORIG
export PKG_DOC_DIR=%{buildroot}%{_pkgdocdir}
sh build.sh install

%files
%{_datadir}/%{ansible_roles_dir}/%{roleprefix}%{rolename}

%doc README.md
%doc examples/

%license LICENSE

%changelog
* Tue Sep 18 2018 Ondra Machacek <omachace@redhat.com> - 1.1.2-1
- Add ovirt_repositories_pools var.
- Ensure subscription-manager package is present.
- Add force_register option.

* Thu Dec 07 2017 Katerina Koukiou <kkoukiou@redhat.com> - 1.1.0-1
- Initial release
